Failed ot install extension pack - Ubuntu

Discussions related to using VirtualBox on Linux hosts.

Failed ot install extension pack - Ubuntu

Postby stee1e » 5. Dec 2017, 23:09

Hi,

I'm running the latest virtualbox and Ubuntu installation.

When trying to install the extension pack, I get this error:

VBoxExtPackRegister returned VERR_VERSION_MISMATCH, pReg=0000000000000000 ErrInfo='VirtualBox version mismatch - expected 5.2 got 5.1'.


Result Code:
NS_ERROR_FAILURE (0x80004005)
Component:
ExtPackManagerWrap
Interface:
IExtPackManager {edba9d10-45d8-b440-1712-46ac0c9bc4c5}


I've tried searching the forum for an answer, it seems I should install manually but I'm not too sure how to do that. Only been using linux for a week or so.

Any help appreciated.

Many thanks
stee1e
 
Posts: 1
Joined: 5. Dec 2017, 23:04

Re: Failed ot install extension pack - Ubuntu

Postby socratis » 6. Dec 2017, 01:29

Run the command:
    VBoxManage -version
If it comes back with a 5.x.x_Ubuntu then you have the Ubuntu forked version of VirtualBox. You need to uninstall/purge this from your system and install the official version from the Downloads section of VirtualBox.org. There you will find the matching Ext. Pack. The version of the ExtPack has to match the installed VirtualBox version.
If you obfuscate any information requested, I will obfuscate my response. These are virtual UUIDs, not real ones.
Do NOT reply with the "QUOTE" button, please use the "POST REPLY", at the bottom of the form.
socratis
Site Moderator
 
Posts: 12622
Joined: 22. Oct 2010, 11:03
Location: Greece
Primary OS: Mac OS X other
VBox Version: PUEL
Guest OSses: Win(*>98), Linux*, OSX>10.5


Return to VirtualBox on Linux Hosts

Who is online

Users browsing this forum: No registered users and 16 guests